def localProperties = new Properties()
def localPropertiesFile = rootProject.file('local.properties')
if (localPropertiesFile.exists()) {
    localPropertiesFile.withReader('UTF-8') { reader ->
        localProperties.load(reader)
    }
}

def flutterRoot = localProperties.getProperty('flutter.sdk')
if (flutterRoot == null) {
    throw new GradleException("Flutter SDK not found. Define location with flutter.sdk in the local.properties file.")
}

def flutterVersionCode = localProperties.getProperty('flutter.versionCode')
if (flutterVersionCode == null) {
    flutterVersionCode = '1'
}

def flutterVersionName = localProperties.getProperty('flutter.versionName')
if (flutterVersionName == null) {
    flutterVersionName = '1.0'
}
//else{
//    //截取版本号最后一段数字
//    def tem1=Integer.parseInt(flutterVersionName.substring(flutterVersionName.lastIndexof(".")+1,flutterVersionName.length()))
//    tem1++
//    //组成新的版本号，并更新localProperties对象和fluttervarsionName变量
//    def newVersionName=flutterVersionName.substring(0,flutterVersionName.lastIndexof(".")+1)+tem1
//    localProperties.setProperty("flutter.versionName",newVersionName)
//    flutterVersionName=newVersionName
//    //localproperyies对象转换成string,并更新local.properties文件
//     def newLocalProperties=localProperties.toString()
//    newLocalProperties =newLocalProperties.replace(",","\n")
//    newLocalProperties =newLocalProperties.replace("{","")
//    newLocalProperties =newLocalProperties.replace("}","")
//    localPropertiesFile.write(newLocalProperties)
//
//}

def keystoreProperties = new Properties()
def keystorePropertiesFile = rootProject.file('key.properties')
if (keystorePropertiesFile.exists()) {
    keystoreProperties.load(new FileInputStream(keystorePropertiesFile))
}
apply plugin: 'com.android.application'
apply from: "$flutterRoot/packages/flutter_tools/gradle/flutter.gradle"

android {
    compileSdkVersion 33
//    signingConfigs {
//        debug {
//            keyAlias 'alias'
//            keyPassword 'recook'
//            storeFile file('../../jks/recook.keystore');
//            storePassword 'recook'
//        }
//    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }

    defaultConfig {
        // TODO: Specify your own unique Application ID (https://developer.android.com/studio/build/application-id.html).
        applicationId "com.example.project_telephony"
        minSdkVersion 23
        targetSdkVersion 33
        versionCode  flutterVersionCode.toInteger()
        versionName flutterVersionName

//        multiDexEnabled true
//        manifestPlaceholders = [
//                JPUSH_PKGNAME : applicationId,
//                JPUSH_APPKEY : "", // NOTE: JPush 上注册的包名对应的 Appkey.
//                JPUSH_CHANNEL : "developer-default", //暂时填写默认值即可.
//        ]
    }
//    productFlavors {
//        demo {
//            //...
//            versionName "1.1-demo"
//        }
//        full {
//            //...
//        }
//    }
    signingConfigs {
        release {
            keyAlias keystoreProperties['keyAlias']
            keyPassword keystoreProperties['']
            storeFile keystoreProperties['storeFile'] ? file(keystoreProperties['storeFile']) : null
            storePassword keystoreProperties['storePassword']
        }
    }
    buildTypes {
        release {
            // TODO: Add your own signing config for the release build.
            // Signing with the debug keys for now, so `flutter run --release` works.
            signingConfig signingConfigs.debug
        }
//        debug {
//            signingConfig signingConfigs.release
//        }
    }
}

flutter {
    source '../..'
}

dependencies {
    implementation 'org.greenrobot:eventbus:3.1.1'
    implementation('com.google.android.exoplayer:exoplayer:2.14.1')
}
